Arch Remove/fr: Difference between revisions

From FreeCAD Documentation
m (<syntaxhighlight>)
(Updating to match new version of source page)
Line 1: Line 1:
{{GuiCommand|Name=Arch Remove|Workbenches=[[Arch Module|Arch]]|MenuLocation=Arch -> Remove|SeeAlso=[[Arch Add]]}}
=Arch_Remove/fr=
{{GuiCommand/fr|Name=Arch Remove|Name/fr=Arch Soustraire|Workbenches=[[Arch Module/fr|Arch]]|MenuLocation=Arch -> Remove|SeeAlso=[[Arch Add/fr|Arch Ajout]]}}


==Description==
==Description==


The Remove tools allows you to do 2 kinds of operations:
L'outil '''Supprimer''' [[Image:Arch Remove.png|16px]] vous permet de faire 2 types d'opérations:
* Remove a subcomponent from an Arch object, for example remove a box that has been added to a wall, like in the [[Arch Add]] example
* Subtract a [[Part Module|shape]]-based object from an Arch component such as a [[Arch Wall|wall]] or [[Arch Structure|structure]]


[[Image:Arch Remove example.jpg|600px]]
* Supprimer une portion d'un objet '''Arch''', par exemple supprimer une boîte qui a été ajoutée à un [[Arch Wall/fr|mur]] [[File:Arch_Wall.png|16px]], comme dans l'exemple [[Arch Add/fr|Arch ajouter]] [[File:Arch_Add.png|16px]].
* Soustraire une [[Part Module/fr|forme (shape)]] d'un objet de base, à partir d'une composante '''Arch''' tel qu'un [[Arch Wall/fr|mur]] [[File:Arch_Wall.png|16px]] ou, une [[Arch Structure/fr|structure]] [[File:Arch_Structure.png|16px]].


In the above image, a box is being subtracted from a wall
[[Image:Arch Remove example.jpg]]


==How to use==
Dans l'image ci-dessus, une boîte est soustraite d'une paroi.


# Select a subcomponent inside an Arch object, '''or''':
==Utilisation==
# Select object(s) to be subtracted, then the Arch component from which they must be subtracted (the arch component must be the last thing you selected)
# Press the {{KEY|[[Image:Arch Remove.png|16px]] '''Remove'''}} button


==Scripting==
# Sélectionnez le composant d'un objet '''Arch''', ou :
# Sélectionnez l'objet ou les objets qui doivent être soustrait ''(boîte)'', puis l'élément '''hôte''' ''(mur)'' à partir de duquel ils doivent être soustraits '''(l'objet hôte ''(ici le mur)'', doit toujours être le dernier objet sélectionné)'''.
# Appuyez sur le bouton {{KEY|[[Image:Arch_Remove.png|16px|Supprimer|link=Arch_Remove/fr]] [[ Arch_Remove/fr|Supprimer]]}}


The Remove tool can by used in [[macros]] and from the python console by using the following function:
==Script==
'''removeComponents (objectsList,[hostObject])'''

* removes the given component or the components from the given list from their parents. If a host object is specified, this function will try adding the components as holes to the host object instead.
L'outil {{KEY|[[Image:Arch_Remove.png|16px|Supprimer|link=Arch_Remove/fr]] [[ Arch_Remove/fr|Supprimer]]}} peut être utilisé dans une [[macros/fr|macro]], ou dans la console '''Python''' en utilisant la fonction :
Example:
<syntaxhighlight>
removeComponents (objectsList,[hostObject])
</syntaxhighlight>
Exemple:
<syntaxhighlight>
<syntaxhighlight>
import FreeCAD, Arch, Draft, Part
import FreeCAD, Arch, Draft, Part
Line 34: Line 31:
Arch.removeComponents(box)
Arch.removeComponents(box)
</syntaxhighlight>
</syntaxhighlight>
<languages/>

==Les outils de transformations Architecturaux==

[[Image:Arch_Add.png|32px|Ajouter|link=Arch_Add/fr]]&nbsp;&nbsp;&nbsp;
[[Image:Arch_Remove.png|32px|Supprimer|link=Arch_Remove/fr]]&nbsp;&nbsp;&nbsp;

{{languages/fr | {{de|Arch_Remove/de}} {{en|Arch_Remove}} {{es|Arch_Remove/es}} {{it|Arch_Remove/it}} {{jp|Arch_Remove/jp}} {{se|Arch_Remove/se}} }}

Revision as of 08:38, 29 November 2013

Arch Remove

Menu location
Arch -> Remove
Workbenches
Arch
Default shortcut
None
Introduced in version
-
See also
Arch Add

Description

The Remove tools allows you to do 2 kinds of operations:

  • Remove a subcomponent from an Arch object, for example remove a box that has been added to a wall, like in the Arch Add example
  • Subtract a shape-based object from an Arch component such as a wall or structure

In the above image, a box is being subtracted from a wall

How to use

  1. Select a subcomponent inside an Arch object, or:
  2. Select object(s) to be subtracted, then the Arch component from which they must be subtracted (the arch component must be the last thing you selected)
  3. Press the Remove button

Scripting

The Remove tool can by used in macros and from the python console by using the following function:

removeComponents (objectsList,[hostObject])
  • removes the given component or the components from the given list from their parents. If a host object is specified, this function will try adding the components as holes to the host object instead.

Example:

 import FreeCAD, Arch, Draft, Part
 line = Draft.makeWire([FreeCAD.Vector(0,0,0),FreeCAD.Vector(2,2,0)])
 wall = Arch.makeWall(line)
 box = Part.makeBox(1,1,1)
 Arch.addComponents(box,wall)
 Arch.removeComponents(box)